<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>nbdkit sh plugin for testing</h1>

<table width="90%">
<tr><td width="40%">
<pre style="font-size: 14pt;">
<b>#!/bin/bash</b>

<b>case</b> "$1" <b>in</b>
    <b>get_size)</b> echo 64M <b>;;</b>
    <b>pread</b>)
        if [ $4 -le 100000 ] &amp;&amp;
           [ $(( $4+$3 )) -gt 100000 ]; then
            echo EIO Bad block >&amp;2
            exit 1
        else
            dd if=/dev/zero count=$3 iflag=count_bytes
        fi <b>;;</b>
    <b>*)</b> exit 2 <b>;;</b>
<b>esac</b>
</pre>
</td>
<td width="10%"/>
<td width="40%">
<iframe src="https://www.youtube.com/embed/9E5A608xJG0" frameborder="0"></iframe>
</td>
</tr>
<tr>
<td colspan="3">
On Youtube:
<i><q>Better loop mounts with NBD &mdash;
Take your loop mounts to the next level with nbdkit</q></i>
</td>
</tr>
</table>
